summaryrefslogtreecommitdiffstats
path: root/source/n/bsd-finger/bsd-finger.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/n/bsd-finger/bsd-finger.SlackBuild
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/n/bsd-finger/bsd-finger.SlackBuild')
-rwxr-xr-xsource/n/bsd-finger/bsd-finger.SlackBuild52
1 files changed, 44 insertions, 8 deletions
diff --git a/source/n/bsd-finger/bsd-finger.SlackBuild b/source/n/bsd-finger/bsd-finger.SlackBuild
index 214470278..62f4b7a4b 100755
--- a/source/n/bsd-finger/bsd-finger.SlackBuild
+++ b/source/n/bsd-finger/bsd-finger.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,13 +20,31 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
-VERSION=0.17
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-1}
+PKGNAM=bsd-finger
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.gz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-3}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-bsd-finger
@@ -34,12 +52,30 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
+rm -rf bsd-finger-$VERSION
tar xvf $CWD/bsd-finger-$VERSION.tar.gz || exit 1
cd bsd-finger-$VERSION || exit 1
+
chown -R root:root .
-zcat $CWD/bsd-finger-0.17.diff.gz | patch -p1 || exit
-./configure --prefix=/usr
+
+zcat $CWD/bsd-finger-0.17.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/bsd-finger-0.16-allocbroken.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/bsd-finger-0.16-pts.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/bsd-finger-0.17-coverity-bugs.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/bsd-finger-0.17-exact.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/bsd-finger-0.17-host-info.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/bsd-finger-0.17-init-realname.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/bsd-finger-0.17-match_sigsegv.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/bsd-finger-0.17-rfc742.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/bsd-finger-0.17-time.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/bsd-finger-0.17-usagi-ipv6.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/bsd-finger-0.17-utmp.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/bsd-finger-wide-char-support5.patch.gz | patch -p1 --verbose || exit 1
+
+./configure --prefix=/usr || exit 1
+
make || exit 1
+
cd finger
strip finger
mkdir -p $PKG/usr/bin